aboutsummaryrefslogtreecommitdiffstats
path: root/dbus
diff options
context:
space:
mode:
authorMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
committerMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
commitbd068236207dee9373f5d559c88325de3446d53b (patch)
treebea490798b7aec80d96272f621898b8cb8c82efe /dbus
parent96379cf2ff7c66a2ab2f1e57e17c88b9860e5c75 (diff)
downloadopenembedded-bd068236207dee9373f5d559c88325de3446d53b.tar.gz
Merge bk://openembedded@openembedded.bkbits.net/packages
into mhcln01.hentges.local:/home/mhentges/OpenEmbedded/packages 2004/10/11 18:35:17+02:00 local!CoreDump The mother of all section fixes! Gives a SECTION entry to (almost) all packages which were missing it (and thus were having a section of *base*). I have placed all packages unknown to me into the *unknown* section (and yes, i *am* to lazy to look them up), please fix. BKrev: 416ab6716BWMm_ae6D2MValq-LDFzw
Diffstat (limited to 'dbus')
-rw-r--r--dbus/dbus_0.20.oe1
-rw-r--r--dbus/dbus_0.21.oe1
-rw-r--r--dbus/dbus_0.22.oe68
3 files changed, 70 insertions, 0 deletions
diff --git a/dbus/dbus_0.20.oe b/dbus/dbus_0.20.oe
index afdc3dcd42..ab106f4f52 100644
--- a/dbus/dbus_0.20.oe
+++ b/dbus/dbus_0.20.oe
@@ -1,3 +1,4 @@
+SECTION = "base"
HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
DESCRIPTION = "message bus system for applications to talk to one another"
DEPENDS = "expat glib-2.0"
diff --git a/dbus/dbus_0.21.oe b/dbus/dbus_0.21.oe
index 952ff9034c..d16c4b756b 100644
--- a/dbus/dbus_0.21.oe
+++ b/dbus/dbus_0.21.oe
@@ -1,3 +1,4 @@
+SECTION = "base"
PR = "r4"
HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
DESCRIPTION = "message bus system for applications to talk to one another"
diff --git a/dbus/dbus_0.22.oe b/dbus/dbus_0.22.oe
index e69de29bb2..bb9e03489a 100644
--- a/dbus/dbus_0.22.oe
+++ b/dbus/dbus_0.22.oe
@@ -0,0 +1,68 @@
+SECTION = "base"
+PR = "r0"
+HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
+DESCRIPTION = "message bus system for applications to talk to one another"
+DEPENDS = "expat glib-2.0"
+DEFAULT_PREFERENCE = "-1"
+
+SRC_URI = "http://freedesktop.org/Software/dbus/releases/dbus-${PV}.tar.gz \
+ file://cross.patch;patch=1 \
+ file://dbus-1.init"
+
+inherit autotools pkgconfig update-rc.d
+
+INITSCRIPT_NAME = "dbus-1"
+INITSCRIPT_PARAMS = "defaults"
+
+CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
+
+FILES_${PN} += "${libdir}/dbus-1.0/services"
+FILES_${PN}-dev += "${libdir}/dbus-1.0/include"
+
+pkg_postinst_dbus() {
+#!/bin/sh
+
+# can't do adduser stuff offline
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+MESSAGEUSER=messagebus
+MESSAGEHOME=/var/run/dbus
+
+mkdir -p $MESSAGEHOME || true
+chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
+chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
+}
+
+EXTRA_OECONF = "--disable-qt --disable-gtk --disable-tests \
+ --disable-checks --disable-xml-docs --disable-doxygen-docs \
+ --with-xml=expat --without-x"
+
+headers = "dbus-address.h dbus-bus.h dbus-connection.h dbus-errors.h dbus-macros.h dbus-memory.h dbus-message.h dbus-pending-call.h dbus-protocol.h dbus-server.h dbus-threads.h dbus-types.h dbus.h"
+
+do_stage () {
+ oe_libinstall -so -C dbus libdbus-1 ${STAGING_LIBDIR}
+ oe_libinstall -so -C glib libdbus-glib-1 ${STAGING_LIBDIR}
+
+ mkdir -p ${STAGING_INCDIR}/dbus-1.0/dbus
+ for i in ${headers}; do
+ install -m 0644 dbus/$i ${STAGING_INCDIR}/dbus-1.0/dbus/$i
+ done
+
+ install -m 0644 glib/dbus-glib.h ${STAGING_INCDIR}/dbus-1.0/dbus/
+
+ mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
+ install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
+}
+
+do_install_append () {
+ install -d ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
+ install -d ${D}/usr/lib/dbus-1.0/services
+}
+
+python populate_packages_prepend () {
+ if (oe.data.getVar('DEBIAN_NAMES', d, 1)):
+ oe.data.setVar('PKG_dbus', 'dbus-1', d)
+}